"use strict";
const common_vendor = require("../../../common/vendor.js");
const sheep_index = require("../../index.js");
const sheep_hooks_useGoods = require("../../hooks/useGoods.js");
require("../../api/index.js");
require("../../api/distri/score.js");
require("../../request/index.js");
require("../../config/index.js");
require("../../store/index.js");
require("../../store/app.js");
require("../../api/promotion/diy.js");
require("../../platform/index.js");
require("../../platform/provider/wechat/index.js");
require("../../platform/provider/wechat/miniProgram.js");
require("../../api/member/auth.js");
require("../../api/member/social.js");
require("../../api/member/user.js");
require("../../platform/provider/apple/index.js");
require("../../platform/share.js");
require("../../router/index.js");
require("../../hooks/useModal.js");
require("../../helper/index.js");
require("../../helper/test.js");
require("../../helper/digit.js");
require("../../api/member/signin.js");
require("../../helper/throttle.js");
require("../../url/index.js");
require("../../platform/pay.js");
require("../../api/pay/order.js");
require("../../store/user.js");
require("../../store/cart.js");
require("../../api/trade/cart.js");
require("../../api/pay/wallet.js");
require("../../api/trade/order.js");
require("../../api/promotion/coupon.js");
require("../../store/sys.js");
require("../../store/modal.js");
require("../../api/distri/share.js");
require("../../api/distri/team.js");
require("../../api/infra/file.js");
require("../../api/member/address.js");
require("../../api/member/point.js");
require("../../api/migration/app.js");
require("../../api/migration/chat.js");
require("../../api/migration/index.js");
require("../../api/migration/third.js");
require("../../api/pay/channel.js");
require("../../api/product/category.js");
require("../../api/product/comment.js");
require("../../api/product/favorite.js");
require("../../api/product/history.js");
require("../../api/product/spu.js");
require("../../api/promotion/activity.js");
require("../../api/promotion/article.js");
require("../../api/promotion/bargain.js");
require("../../api/promotion/combination.js");
require("../../api/promotion/rewardActivity.js");
require("../../api/promotion/seckill.js");
require("../../api/system/area.js");
require("../../api/system/voice.js");
require("../../api/trade/afterSale.js");
require("../../api/trade/brokerage.js");
require("../../api/trade/config.js");
require("../../api/trade/delivery.js");
require("../../config/zIndex.js");
require("../../util/index.js");
if (!Array) {
  const _easycom_su_popup2 = common_vendor.resolveComponent("su-popup");
  _easycom_su_popup2();
}
const _easycom_su_popup = () => "../../ui/su-popup/su-popup.js";
if (!Math) {
  (Richtext + _easycom_su_popup)();
}
const Richtext = () => "../../../pages/public/richtext2.js";
const _sfc_main = {
  __name: "s-wallet-card",
  setup(__props) {
    const state = common_vendor.reactive({
      showProtocol: false,
      navIndex: 0
    });
    const userWallet = common_vendor.computed(() => sheep_index.sheep.$store("user").userWallet);
    common_vendor.computed(() => sheep_index.sheep.$store("user").userInfo);
    common_vendor.computed(() => sheep_index.sheep.$store("user").numData);
    const progressWidth = common_vendor.computed(() => {
      if (!userWallet.value.socialStatusPoint && !userWallet.value.socialStatusPoint) {
        return "0%";
      }
      const progress = userWallet.value.socialStatusPoint / (userWallet.value.socialStatusPoint + userWallet.value.socialUpNeed) * 100 + "%";
      return progress;
    });
    const close = () => {
      state.showProtocol = false;
    };
    function checkIndex(index) {
      state.navIndex = index;
    }
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: progressWidth.value,
        b: common_vendor.t(userWallet.value.socialStatusLevel || "无等级"),
        c: common_vendor.o(($event) => state.showProtocol = true),
        d: common_vendor.t(common_vendor.unref(sheep_hooks_useGoods.points2point)(userWallet.value.integralDO.currentQuota)),
        e: common_vendor.t(common_vendor.unref(sheep_hooks_useGoods.points2point)(userWallet.value.integralDO.freezeQuota)),
        f: common_vendor.o(($event) => common_vendor.unref(sheep_index.sheep).$router.go("/pages/user/wallet/score")),
        g: common_vendor.t(userWallet.value.descNo),
        h: common_vendor.o(($event) => common_vendor.unref(sheep_index.sheep).$router.go("/pages/user/wallet/team")),
        i: common_vendor.n(state.navIndex == 0 ? "activite" : ""),
        j: common_vendor.o(($event) => checkIndex(0)),
        k: common_vendor.n(state.navIndex == 1 ? "activite" : ""),
        l: common_vendor.o(($event) => checkIndex(1)),
        m: state.navIndex == 0
      }, state.navIndex == 0 ? {
        n: common_vendor.p({
          title: "身价产生规则",
          type: "tab"
        })
      } : {}, {
        o: state.navIndex == 1
      }, state.navIndex == 1 ? {
        p: common_vendor.p({
          title: "身价权益",
          type: "tab"
        })
      } : {}, {
        q: common_vendor.o(close),
        r: common_vendor.p({
          show: state.showProtocol,
          type: "center",
          round: "10",
          isMaskClick: false,
          showClose: true
        })
      });
    };
  }
};
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-0aa1f5b2"], ["__file", "D:/zx/mall-front-app/sheep/components/s-wallet-card/s-wallet-card.vue"]]);
wx.createComponent(Component);
